Pulpore 3.20 planned for June 21st

The pulpore==3.20 version is planned for release on June 14th. The first go/no-go meeting will be on June 2nd at 10am ET on #pulp-meeting on matrix.

2 Likes

The blockers milestone for 3.20 is here. As of today, we have 2 blockers open and 12 closed. @bmbouter and @x9c4 will each take one of the remaining blockers. We believe we are on track to release on June 14th.

The next go/no-go meeting will be June 8th at 11am ET in #pulp-meeting on matrix.

1 Like

We checked in today, and there are still the two blockers, but they are assigned. The next go/no-go will be Monday June 13th at 11 - 11:30 AM ET in #pulp-meeting on matrix.

1 Like

We checked in today, and decided to move the release back 1 week. Galaxy NG is waiting on it, so we will not move it back even if there are unfinished blockers. Here is the blockers list.

We are delaying for two reasons:

  • Two additional blockers got added during this meeting, bringing the total to 3 blockers that are in-review.
  • We want to apply the latest CI template this week with changes from @dkliban to make things much simpler.

The go/no-go meeting will happen again next week, June 17th at 9am ET in #pulp-meeting on Matrix. The Friday time is due to the Monday holiday in the US.

1 Like

We believe we are a go for Tuesday, June 21st release. There are two unmerged “blockers” both of which are expected to merge by EOB Monday. If not, they will not block the release.

Additionally the CI changes to the plugin_template is expected to be merged today, and on Monday dkliban and bmbouter will roll out those changes to the main branches of plugins to prepare for the 3.20 release.

1 Like

At the pulpcore meeting this morning we did some coordination. We determined:

  • It is important we start the release today and not delay
  • There was still an item listed as a blocker, it got moved off the blockers list
  • We do want to include the new pulpcore signing service fixtures to produce it’s compat release with the new CI changes which would also require these. We prioritized this review+merge
  • If any issues with plugin compat needing additional test changes in pulpcore we can release those as a 3.20.1 if needed
  • We do want to run the nightly tests also at release time, and we no longer need the aiohttp_fixture_origin so those are both removed here.
  • Also our bdist are including too much stuff in them. It’s actually really convenient for the 3.20 release, but I filed this ticket to track the resolution.
1 Like

3.20 has been branched, there are some release pipeline failures. We’re fixing them. pulpcore:main is now 3.21.0.dev

3 Likes

The 3.20 is now available on PyPI, however it requires every plugin to release a compatible release. Pulpcore 3.25 is the next "plugin API breaking changes release, so all plugins should likely declare their compatibility as pulpcore>=3.20,<3.25.

Plugins could also declare older compatibility if that’s truly the case, but the forward compatibility should definitely be through 3.24.

1 Like

The compatible release for the pulp_rpm plugin is 3.17.6, released yesterday

1 Like

Plugins should consider doing what pulp_rpm did and using the latest z-stream release to declare the forward compatibility. This isn’t always possible depending on what portions of the pulpcore.plugin they use, but if possible it could be good. We’re trying this in pulp_file now…

pulp_file 1.11.3 is released which declares forward compat through pulpcore 3.24 with its requirements file.

pulp_python 3.7.0 has been released.

pulp_deb 2.19.0 has been released.

pulp-certguard 1.5.3 has been released with compatibility through 3.24. You can see the requirements spec here.

pulp_maven 0.3.3 has been released

The new version of pulp_ostree and pulp-cli-ostree has been released. The plugin is compatible with pulpcore v3.20.

pulp_installer 3.20.0 has been released.

pulp-container 2.13.0 has been released

pulp_npm 0.1.0a4 has been released.

pulp_ansible 0.14.0 is released. Additionally, the 3.20 version of the single-container with all the latest plugins are available also.